#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/var/opt/openit/etc/daft.conf";
my $old = "/var/opt/openit/etc/daft.conf.old";
my $new = "/var/opt/openit/etc/daft.conf.new";

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";

# Updated licpoll2 line
while(my $line = <IN>) {

    if($line =~ /licpoll2\(String\)/) {
	$line =~ s/licpoll2.*{}/licpoll2(String)="license-hostgroups-v2:P1H,license-host-usage:P1H,license-host-usage-v2:P1H,license-host-user-usage:P1H,license-individual-usage:P1H,license-individual-usage-v2:P1H,license-total-usage:P1H,license-total-usage-v2:P1H,license-usergroups-v2:P1H,license-total-queued:P1H,license-individual-queued:P1H"{}/
    }

    print OUT $line;
}
close(IN);
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
